# Define the kmp package name here.
%define kmp_name hpilo

Name            : %{kmp_name}
BuildRequires   : kernel-source kernel-syms
license   	: 2011 Hewlett-Packard Development Company, L.P.
group       	: System/Kernel
summary     	: HP iLO2+ Watchdog Timer Driver for ProLiant Servers
Version         : 9.0.0
Release		: 183.sles10
packager    	: Hewlett-Packard Company
vendor		: Hewlett-Packard Company
url         	: http://www.hp.com/go/proliantlinux
Source0         : %{kmp_name}-%{version}.tar.gz
BuildRoot       : %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um

%description
This package contains the KMP module for diffrent SuSE kernels
provides NMI sourcing capability as well as a watchdog interface.

%package KMP
Summary: HP iLO2+ Watchdog Timer Driver for ProLiant Servers
Group: System/Kernel

%description KMP
This is one of the sub-packages for a specific kernel. All the
sub-packages will share the same summary, group, and description.

%prep
%setup
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%changelog
* Tue Nov 08 2011 Mark Rusk<Mark.Rusk@hp.com> - 1.30
- Initial SuSE build of the kmp package.
